[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.Destroy

Destroys the list and releases the memory used to store the list elements.

## Declaration

Source position: classesh.inc line 328

`public destructor TList.Destroy; override;`

## Description

Destroy destroys the list and releases the memory used to store the list elements. The elements themselves are in no way touched, i.e. any meomory they point to must be explicitly released before calling the destructor.

Documentation generated on: Feb 26 2014